package com.emato.ich.contant;

import android.util.ArrayMap;

/**
 * 订单状态枚举
 */
public class DecisionConstant {

    public static final String CONFIRM_00 = "00";
    public static final String REOPEN_01 = "01";
    public static final String REOPEN_02 = "02";
    public static final String REOPEN_03 = "03";
    public static final String CANCEL_11 = "11";
    public static final String CANCEL_12 = "12";

    public static ArrayMap<String, String> decisionMap = new ArrayMap<>();

    static {
        decisionMap.put(CONFIRM_00, "已投件，确认投件");
        decisionMap.put(REOPEN_01, "大小不合适，换个柜门");
        decisionMap.put(REOPEN_02, "门未开，换个柜门");
        decisionMap.put(REOPEN_03, "再开一次，调整快件");
        decisionMap.put(CANCEL_11, "未投件，取消投件");
        decisionMap.put(CANCEL_12, "拿出快件，取消投件");
    }

    public static String getMsg(String decision) {
        return decisionMap.get(decision);
    }
}
